<template>
  <WriterBox
    v-for="(con, cx) in contents"
    :key="'con-' + cx"
    :url="con.pict.url"
    :answer="con.answer"
    :height="con.pict.height"
  />
</template>

<script setup>
import WriterBox from "./WriterBox.vue";

const props = defineProps({
  name: String,
});
const { data: trace } = await useFetch(`/api/getTrace?name=${props.name}`);
const contents = trace.value.contents.sort((a, b) => {
  if (a.position > b.position) {
    return 1;
  } else if (a.position < b.position) {
    return -1;
  } else return 0;
});
// console.log(contents);
// const contents = [
//   {
//     pict: {
//       url: "https://images.microcms-assets.io/assets/386e9dda697f4e23bc7f659a691a6ec0/8f6ddd71657a4d898c1850df1e1cca89/sakura_1.svg",
//       height: 421,
//       width: 716,
//     },
//     answer: "　桜の樹の下には屍体《したい》が埋まっている！",
//   },
//   {
//     pict: {
//       url: "https://images.microcms-assets.io/assets/386e9dda697f4e23bc7f659a691a6ec0/8f6ddd71657a4d898c1850df1e1cca89/sakura_1.svg",
//       height: 421,
//       width: 716,
//     },
//     answer: "　桜の樹の下には屍体《したい》が埋まっている！",
//   },
// ];
</script>